Subject: bug#72917: ffmpeg@{3,4,5} build failures on i686-linux

From: André Batista <[email-masked]>
Date: Tue, 3 Sep 2024 11:24:13 -0300

Hi Dariqq,

sáb 31 ago 2024 às 15:46:01 (1725129961), [email-masked] enviou:
> Hi,
> 
> Upgraded my old i686 machine to after core updates merge
> (b8327cb31199fb9f4ebed6c53a59601d41def5a1) and now earlier versions of
> ffmpeg fail to build.
> 
> phase `patch-source-shebangs' succeeded after 0.6 seconds
> starting phase `bypass-openal-check'
> phase `bypass-openal-check' succeeded after 0.0 seconds
> starting phase `configure'
> ERROR: openal not found
> 
> I can't find the "alGetError ||" string in the configure script which is
> used to bypass the check on ffmepg@6 in the earlier versions (#72838).
> 

I'm sorry for that, I should've checked that this string would match on
earlier versions of ffmpeg. Looking back, replacing the 'die' clause
would make more sense. However, since changing it now would trigger
many rebuilds, I'll send a patch which changes the match only for the
broken earlier versions.

Thanks for reporting and feel free to CC me if/when you see that a patch
of mine has been incomplete or otherwise has caused issues.